%define upstream_name    pQuery
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A perl port of jQuery framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::TreeBuilder) >= 4.200.0
BuildArch:  noarch
Provides: perl(pQuery)

%description
pQuery is a pragmatic attempt to port the jQuery JavaScript framework to
Perl. It is pragmatic in the sense that it switches certain JavaScript
idioms for Perl ones, in order to make the use of it concise. A primary
goal of jQuery is to "Find things and do things, concisely". pQuery has the
same goal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-5.mga8
+ Revision: 1496925
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-4.mga7
+ Revision: 1270874
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1032690
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 968655
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 854150
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 748230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 687049
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 521626
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 jquelin <jquelin> 0.90.0-3.mga3
+ Revision: 391463
- add missing provides

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 375535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267566
- update to 0.09

* Fri Feb 24 2012 jquelin <jquelin> 0.80.0-2.mga2
+ Revision: 213740
- rebuild to version module provides
- update to 0.08

* Sat Jun 11 2011 spuhler <spuhler> 0.70.0-2.mga2
+ Revision: 103960
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 27373
- mageia rebuild
- imported package perl-pQuery


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 542855
- import perl-pQuery


* Thu May 06 2010 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist
